loci.formats.in

## Class JDCEReader.JDCEWell

- java.lang.Object
- - loci.formats.internal.WellContainer
  - - loci.formats.in.JDCEReader.JDCEWell

- All Implemented Interfaces:
    java.lang.Comparable<WellContainer>
  Enclosing class:
    JDCEReader

      class JDCEReader.JDCEWell
      extends WellContainer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.HashMap<java.lang.String,JDCEReader.PlaneMetadata>` | `metadataMap`
    `(package private) int` | `planeCount`
    `(package private) java.util.HashMap<java.lang.String,java.lang.Integer>` | `posMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDCEWell(int row, int col, int planeCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(java.lang.String file, int fieldIndex, int planeIndex)` Add file for the given field and plane indexes.
    `void` | `addPlaneMetadata(JDCEReader.PlaneMetadata p, int[] position)`
    `java.lang.String[]` | `getFiles(int fieldIndex)`
    `private int[]` | `getIndex(java.lang.String key)`
    `JDCEReader.PlaneMetadata` | `getPlaneMetadata(int field, int[] position)`

    - ### Methods inherited from class loci.formats.internal.WellContainer

      `addFile, compareTo, fillMetadataStore, fillMetadataStore, getAllFiles, getColumnIndex, getFieldCount, getFile, getPlateAcquisition, getRowIndex, getWellIndex, setColumnIndex, setFieldCount, setPlateAcquisition, setRowIndex, setWellIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### posMap

          java.util.HashMap<java.lang.String,java.lang.Integer> posMap

    - #### metadataMap

          java.util.HashMap<java.lang.String,JDCEReader.PlaneMetadata> metadataMap

    - #### planeCount

          int planeCount

  - ### Constructor Detail

    - #### JDCEWell

          public JDCEWell(int row,
                          int col,
                          int planeCount)

  - ### Method Detail

    - #### addFile

          public void addFile(java.lang.String file,
                              int fieldIndex,
                              int planeIndex)

      Add file for the given field and plane indexes.

    - #### getIndex

          private int[] getIndex(java.lang.String key)

    - #### getFiles

          public java.lang.String[] getFiles(int fieldIndex)

      Specified by:
        `getFiles` in class `WellContainer`

    - #### addPlaneMetadata

          public void addPlaneMetadata(JDCEReader.PlaneMetadata p,
                                       int[] position)

    - #### getPlaneMetadata

          public JDCEReader.PlaneMetadata getPlaneMetadata(int field,
                                                           int[] position)

Copyright © 2026 Open Microscopy Environment